jQuery.fn.extend({
  adonStatus: function(val) {
    var TAG = jQuery(this);
    if (!val) return TAG.data("status");
    TAG.removeClass("adonStatus-" + TAG.data("status"));
    TAG.data("status", val);
    TAG.addClass("adonStatus-" + val);
    return val;
  },
  adonIsDisabled: function() {
    return this.each(function() {
      var TAG = jQuery(this);
      TAG.adonHasStatus("disabled") || TAG.adonHasStatus("error");
    });
  },
  adonDisable: function() {
    return this.each(function() {
      var TAG = jQuery(this);
      return TAG.adonStatus("disabled");
    });
  },
  adonRaise: function() {
    return this.each(function() {
      var TAG = jQuery(this);
      return TAG.adonStatus("error");
    });
  },
  adonEnable: function() {
    return this.each(function() {
      var TAG = jQuery(this);
      return TAG.adonStatus("enabled");
    });
  },
  adonHasStatus: function(val) {
    var TAG = jQuery(this);
    return TAG.hasClass("adonStatus-" + val);
  },
  _adofStatus: function() {
    return this.each(function() {
      var TAG = jQuery(this);
      TAG.removeClass("adonStatus-" + TAG.data("status"));
    });
  }
});
